> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 运行工作流

> 手动触发一次工作流运行。

手动触发一次工作流运行，可选择性传入覆盖数据。

## 身份验证

需要 Bearer 令牌。参见[身份验证](/api-reference/authentication)。

## 路径参数

<ParamField path="id" type="string" required>
  工作流的 UUID。
</ParamField>

## 请求体

<ParamField body="triggerData" type="object">
  传递给工作流各步骤的可选覆盖数据（例如 `{ "overridePrompt": "Focus on enterprise deals" }`）。
</ParamField>

## 请求示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://www.hitheo.ai/api/v1/workflows/wf_abc123/run \
    -H "Authorization: Bearer $THEO_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"triggerData": {"overridePrompt": "Focus on enterprise deals this week"}}'
  ```

  ```typescript SDK theme={null}
  const run = await theo.triggerWorkflow("wf_abc123", {
    overridePrompt: "Focus on enterprise deals this week",
  });
  ```
</CodeGroup>

## 响应

<ResponseField name="run" type="object">
  工作流运行对象，包含 `id`、`status`、`startedAt` 以及各步骤的执行结果。
</ResponseField>

## 端点

`POST /api/v1/workflows/{id}/run`

需要通过 Bearer 令牌进行身份验证。参见[身份验证](/api-reference/authentication)。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.